import 'package:flutter/material.dart';
import 'package:wyatt_bloc_layout/wyatt_bloc_layout.dart';
import 'package:wyatt_component_copy_with_extension/component_copy_with_extension.dart';

part 'custom_loading_widget.g.dart';

@ComponentCopyWithExtension()
class CustomLoadingWidget extends LoadingWidgetComponent
    with $CustomLoadingWidgetCWMixin {
  CustomLoadingWidget({super.color});

  @override
  Widget build(BuildContext context) =>
      Center(child: CircularProgressIndicator(color: color));
}
